| CMSIS-RTOS RTX Version 4.51 CMSIS-RTOS RTX: Real-Time Operating System for Cortex-M processor-based devices

- RTX

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
osTimerDef_t Struct Reference

Timer Definition structure contains timer parameters. More...

## Data Fields

os_ptimer | ptimer
| start address of a timer function
void * | timer
| pointer to internal data

## Description

Note
  CAN BE CHANGED: os_timer_def is implementation specific in every CMSIS-RTOS.

## Field Documentation

os_ptimer ptimer

void* timer